Bug 36567 - Xamarin Android C++ San Andreas App does not compile / run
Summary: Xamarin Android C++ San Andreas App does not compile / run
Status: RESOLVED NOT_ON_ROADMAP
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Android (show other bugs)
Version: 4.7.0 (15.4)
Hardware: PC Windows
: Low normal
Target Milestone: Future Cycle
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-12-03 22:51 UTC by James
Modified: 2017-10-06 01:26 UTC (History)
8 users (show)

See Also:
Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments

Description James 2015-12-03 22:51:52 UTC
https://developer.xamarin.com/samples/monodroid/SanAngeles_NDK/ Example code with both packages appears to have issues being used.

1) C++ for Visual Studio 2015 example, loaded, builds fine but when you attempt to deploy to an emulator you get the following error:

Unable to start debugging. non-debuggable application installed on the target device. Required file '/data/data/SanAngeles.SanAngeles/lib/gdbserver' could not be found on the device. Please reinstall the debuggable version.
Attempted on XAP- Nexus 5 running API 22

On Nexus 4 running API 19 the error was "Unable to start debugging. GDBServer failed to start or attach to the target application"

2) SanAngeles_NDK Example
Builds with errors:
Severity	Code	Description	Project	File	Line	Suppression State
Error	CS0535	'DemoRenderer' does not implement interface member 'GLSurfaceView.IRenderer.OnSurfaceCreated(IGL10, EGLConfig)'	SanAngeles	\\psf\Home\Downloads\SanAngeles_NDK\SanAngeles_NDK\MainActivity.cs	103	

Severity	Code	Description	Project	File	Line	Suppression State
Error	CS0104	'EGLConfig' is an ambiguous reference between 'Javax.Microedition.Khronos.Egl.EGLConfig' and 'Android.Opengl.EGLConfig'	SanAngeles	\\psf\Home\Downloads\SanAngeles_NDK\SanAngeles_NDK\MainActivity.cs	105	

May be user error, but it is unclear what more setup is expected to be done.

Version information:
Microsoft Visual Studio Enterprise 2015
Version 14.0.24720.00 Update 1
Microsoft .NET Framework
Version 4.6.01055

Installed Version: Enterprise

Architecture and Modeling Tools   00322-80000-00000-AA005
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

Visual Basic 2015   00322-80000-00000-AA005
Microsoft Visual Basic 2015

Visual C# 2015   00322-80000-00000-AA005
Microsoft Visual C# 2015

Visual C++ 2015   00322-80000-00000-AA005
Microsoft Visual C++ 2015

Windows Phone SDK 8.0 - ENU   00322-80000-00000-AA005
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   1.0
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1 (Beta8)   14.1.11106.0
ASP.NET and Web Tools 2015.1 (Beta8)

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.30624.0
For additional information, visit http://www.asp.net/

Common Azure Tools   1.6
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

KofePackagePackage Extension   1.0
KofePackagePackage Visual Studio Extension Detailed Info

Microsoft Azure HDInsight HQL Service   2.0.2600.0
Language service for Hive query

Microsoft Azure HDInsight Tools for Visual Studio   2.0.2600.0
An integrated development environment for HDInsight application development.

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.7
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.7.30818.1601

Microsoft MI-Based Debugger   1.0
Provides support for connecting Visual Studio to MI compatible debuggers

NuGet Package Manager   3.3.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.50730.0
Microsoft SQL Server Data Tools

TypeScript   1.7.4.0
TypeScript for Microsoft Visual Studio

Visual C++ for Cross Platform Mobile Development   1.0
Visual C++ for Cross Platform Mobile Development

Visual Studio Tools for Universal Windows Apps   14.0.24720.00
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.0.0.1697 (deffc90)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   6.0.0.34 (3efa14c)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   9.2.1.51 (3c0ec35)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 1 Abhishek 2016-01-18 17:07:06 UTC
I have tried this issue with the latest android sample. I am unable to reproduce this issue at my end.

case 1:
 
Steps I followed:
1. Open the sample SanAngeles_NativeDebug on VS 2015
2. Run the application on Device.

Screencast: http://www.screencast.com/t/wpDAXvthUF
Debug Output: https://gist.github.com/anonymous/62e04206fb5e9078b30b
adb logcat: https://gist.github.com/anonymous/985273d036464c930ca5


case 2:

Steps I followed:

1. Open the sample SanAngeles_NDK on VS 2015
2. Run the application on Device.
3. Application deploy successfully on device.

For SanAngeles_NDK sample we filed the bug https://bugzilla.xamarin.com/show_bug.cgi?id=9645. 

Could you please let me if I have missed any thing to reproduce this issue?

Device Info: Nexus 6(6.0)

Environment Info:

Microsoft Visual Studio Enterprise 2015
Version 14.0.24720.00 Update 1
Microsoft .NET Framework
Version 4.6.01055

Installed Version: Enterprise

Architecture and Modeling Tools   00322-80000-00000-AA709
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

Visual Basic 2015   00322-80000-00000-AA709
Microsoft Visual Basic 2015

Visual C# 2015   00322-80000-00000-AA709
Microsoft Visual C# 2015

Visual C++ 2015   00322-80000-00000-AA709
Microsoft Visual C++ 2015

Application Insights Tools for Visual Studio Package   1.0
Application Insights Tools for Visual Studio

Common Azure Tools   1.5
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

KofePackagePackage Extension   1.0
KofePackagePackage Visual Studio Extension Detailed Info

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft MI-Based Debugger   1.0
Provides support for connecting Visual Studio to MI compatible debuggers

NuGet Package Manager   3.3.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.50616.0
Microsoft SQL Server Data Tools

TypeScript   1.7.4.0
TypeScript for Microsoft Visual Studio

Visual C++ for Cross Platform Mobile Development   1.0
Visual C++ for Cross Platform Mobile Development

Visual Studio Tools for Universal Windows Apps   14.0.24720.00
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.0.1.74 (9f3b5a0)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   6.0.1.9 (8dd1a77)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   9.4.1.21 (c71a120)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 2 Abhishek 2016-01-18 17:08:54 UTC
An update to comment 1:

Ide Log: https://gist.github.com/anonymous/2f92a0e59e8ef6d0e7a2
Comment 3 James 2016-01-18 18:08:43 UTC
There may be issues running this on emulator as compared to a physical device device. I retested running the first scenario on the Xamarin Android player, as I did in my initial report yielded the same errors. 

I then attempted to run on a Nexus 5X running Marshmallow. Retesting Scenario One, SanAngeles_NativeDebug, after updating project settings to match the above scenario, I was able to build/Deploy to device and things appear to work.

The 2nd scenario still had compile errors out of the box (San Angeles NDK project). Opened the project, try to build and the following errors exist:

Severity	Code	Description	Project	File	Line	Suppression State
Error	CS0535	'DemoRenderer' does not implement interface member 'GLSurfaceView.IRenderer.OnSurfaceCreated(IGL10, EGLConfig)'	SanAngeles	Z:\Users\jamesw\Downloads\SanAngeles_NDK\SanAngeles_NDK\MainActivity.cs	103	

Severity	Code	Description	Project	File	Line	Suppression State
Error	CS0104	'EGLConfig' is an ambiguous reference between 'Javax.Microedition.Khronos.Egl.EGLConfig' and 'Android.Opengl.EGLConfig'	SanAngeles	Z:\Users\jamesw\Downloads\SanAngeles_NDK\SanAngeles_NDK\MainActivity.cs	105
Comment 4 Jose Gallardo 2016-12-22 23:21:09 UTC
Moving to C10 to investigate further.
Thanks
Comment 5 Prashant [MSFT] 2017-09-15 08:35:38 UTC
I can confirm using the latest Visual Studio 2017 Preview 2 version 15.4 I am able to reproduce this issue. Marking this report as CONFIRMED.
Comment 6 Pierce Boggan [MSFT] 2017-10-06 01:25:20 UTC
We haven't had any additional requests in the almost two years this bug ticket has been open from customers. Until we validate this is something our customers want (especially above other work we are doing), I'm marking this as RESOLVED -> NOT ON ROADMAP.
Comment 7 Pierce Boggan [MSFT] 2017-10-06 01:26:59 UTC
We haven't had any additional requests in the almost two years this bug ticket has been open from customers. Until we validate this is something our customers want (especially above other work we are doing), I'm marking this as RESOLVED -> NOT ON ROADMAP.

Note You need to log in before you can comment on or make changes to this bug.